> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Genes Proteins

> Retrieve genes and proteins associated with a variant matched by ID.

Example: variant_id = NC_000001.11:630556:T:C

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/genes-proteins
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/genes-proteins:
    get:
      summary: Variants Genes Proteins
      description: |-
        Retrieve genes and proteins associated with a variant matched by ID.

        Example: variant_id = NC_000001.11:630556:T:C

        The limit parameter controls the page size and can not exceed 100.

        Pagination is 0-based.
      operationId: genesProteinsFromVariants
      parameters:
        - name: variant_id
          in: query
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    sequence_variant:
                      type: object
                      properties:
                        _id:
                          type: string
                        chr:
                          type: string
                        pos:
                          type: number
                        rsid:
                          type: array
                          items:
                            type: string
                          nullable: true
                        ref:
                          type: string
                        alt:
                          type: string
                        spdi:
                          type: string
                        hgvs:
                          type: string
                        ca_id:
                          type: string
                          nullable: true
                      required:
                        - _id
                        - chr
                        - pos
                        - ref
                        - alt
                        - spdi
                        - hgvs
                      additionalProperties: false
                    related:
                      type: array
                      items:
                        type: object
                        properties:
                          gene:
                            anyOf:
                              - anyOf:
                                  - not: {}
                                  - type: object
                                    properties:
                                      _id:
                                        type: string
                                      chr:
                                        type: string
                                      gene_id:
                                        type: string
                                      hgnc:
                                        type: string
                                        nullable: true
                                      name:
                                        type: string
                                      organism:
                                        type: string
                                      files_filesets:
                                        type: string
                                        nullable: true
                                    required:
                                      - _id
                                      - chr
                                      - gene_id
                                      - name
                                      - organism
                                    additionalProperties: false
                                    nullable: true
                              - anyOf:
                                  - not: {}
                                  - type: string
                                    nullable: true
                          protein:
                            type: object
                            properties:
                              _id:
                                type: string
                              name:
                                type: string
                              uniprot_names:
                                type: array
                                items:
                                  type: string
                              files_filesets:
                                type: string
                                nullable: true
                            required:
                              - _id
                              - name
                              - uniprot_names
                            additionalProperties: false
                            nullable: true
                          sources:
                            anyOf:
                              - type: array
                                items:
                                  type: object
                                  properties:
                                    label:
                                      type: string
                                    source:
                                      type: string
                                    neg_log10_pvalue:
                                      type: number
                                      nullable: true
                                    biological_context:
                                      type: string
                                    name:
                                      type: string
                                    files_filesets:
                                      type: string
                                      nullable: true
                                  required:
                                    - label
                                    - source
                                    - biological_context
                                    - name
                                  additionalProperties: false
                              - type: array
                                items:
                                  type: object
                                  properties:
                                    motif:
                                      type: string
                                      nullable: true
                                    source:
                                      type: string
                                    name:
                                      type: string
                                    files_filesets:
                                      type: string
                                      nullable: true
                                  required:
                                    - motif
                                    - source
                                    - name
                                  additionalProperties: false
                        required:
                          - sources
                        additionalProperties: false
                  required:
                    - sequence_variant
                    - related
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````